Add a note
Needs: Incidents, Read-write
Adds a note on the incident's Notes tab. To change an existing note, use the edit endpoint.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/incidents/123/notes" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"note": "Ambulance not needed. Family informed."
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incidents/123/notes"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"note": "Ambulance not needed. Family informed."
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incidents/123/notes", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"note": "Ambulance not needed. Family informed."
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"note": "Ambulance not needed. Family informed."
}`)
req, err := http.NewRequest("POST", "https://app.imploy.com.au/api/integrations/v1/incidents/123/notes", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incidents/123/notes')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"note": "Ambulance not needed. Family informed."
}'
response = http.request(request)
puts response.body
{
"created": 5,
"incident_id": 12,
"kind": "incident"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incidents/{incident_id}/notesTarget server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The incident id.
The media type of the request body
Plain text or simple HTML.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The incident id.
Body
Plain text or simple HTML.